View Issue Details

IDProjectCategoryView StatusLast Update
0032079Open CASCADEOCCT:Codingpublic2021-12-17 18:41
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032079: Coding Rules - rename AIS_KindOfInteractive enumeration values with fully-qualified name
DescriptionIt is proposed making AIS_KindOfInteractive enumeration values more readable.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Activities

kgv

2021-01-23 00:35

developer   ~0098365

Please raise the patch
- OCCT: branch CR32079;
- OCC Products: branch CR32079.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32079-CR32079-KGV/

bugmaster

2021-01-30 16:54

administrator   ~0098537

I am sorry. I lost this fix.
Could you please rebase this fix to master
I will take it to WEEK-5

git

2021-01-30 20:21

administrator   ~0098558

Branch CR32079 has been updated forcibly by kgv.

SHA-1: 82b856b88051c8ade09934e731136c6a593a1583

bugmaster

2021-02-06 14:17

administrator   ~0098723

Combination -
OCCT branch : IR-2021-02-05
master SHA - d918913f1cfa6df6852ccc3cab50aae2b5a29821
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-02-05 SHA - 7f3780c87f7b9ca7bc315437ae37fd3815a4316d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17801.74000000001 / 17781.070000000076 [+0.12%]
Products
Total CPU difference: 11522.820000000105 / 11527.24000000011 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 19371.578125 / 19391.0625 [-0.10%]
Products
Total CPU difference: 12882.46875 / 12836.03125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-02-06 14:29

administrator   ~0098737

Branch CR32079 has been deleted by inv.

SHA-1: 82b856b88051c8ade09934e731136c6a593a1583

Related Changesets

occt: master 82b856b8

2021-01-22 16:03:45

kgv

Details Diff
0032079: Coding Rules - rename AIS_KindOfInteractive enumeration values with fully-qualified name

In addition, several ViewerTest command have been cleared out from duplicated checks.
Affected Issues
0032079
mod - src/AIS/AIS_Axis.hxx Diff File
mod - src/AIS/AIS_Circle.hxx Diff File
mod - src/AIS/AIS_ConnectedInteractive.hxx Diff File
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_InteractiveObject.hxx Diff File
mod - src/AIS/AIS_KindOfInteractive.hxx Diff File
mod - src/AIS/AIS_Line.hxx Diff File
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff File
mod - src/AIS/AIS_MultipleConnectedInteractive.hxx Diff File
mod - src/AIS/AIS_Plane.cxx Diff File
mod - src/AIS/AIS_Plane.hxx Diff File
mod - src/AIS/AIS_PlaneTrihedron.hxx Diff File
mod - src/AIS/AIS_Point.hxx Diff File
mod - src/AIS/AIS_Shape.hxx Diff File
mod - src/AIS/AIS_Trihedron.hxx Diff File
mod - src/PrsDim/PrsDim_Dimension.hxx Diff File
mod - src/PrsDim/PrsDim_Relation.hxx Diff File
mod - src/QABugs/QABugs_1.cxx Diff File
mod - src/QABugs/QABugs_16.cxx Diff File
mod - src/QABugs/QABugs_19.cxx Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff File

occt-products: master a6c73dd4

2021-01-22 21:38:56

kgv


Committer: bugmaster Details Diff
0032079: Coding Rules - rename AIS_KindOfInteractive enumeration values with fully-qualified name Affected Issues
0032079
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - samples/mfc/BFIT/Common/OCC_3dBaseDoc.cpp Diff File
mod - samples/qt/SSP/src/ApplicationSSP.cxx Diff File
mod - samples/qt/SSP/src/DocumentSSP.cxx Diff File
mod - training/exercises/OCAF/qt/src/Exercise/Exercise_TStarsCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-01-22 20:48 kgv New Issue
2021-01-22 20:48 kgv Assigned To => kgv
2021-01-23 00:35 kgv Note Added: 0098365
2021-01-23 00:35 kgv Assigned To kgv => bugmaster
2021-01-23 00:35 kgv Status new => resolved
2021-01-23 00:35 kgv Status resolved => reviewed
2021-01-23 12:51 bugmaster Status reviewed => tested
2021-01-23 13:19 bugmaster Test case number => Not required
2021-01-30 16:54 bugmaster Note Added: 0098537
2021-01-30 16:54 bugmaster Assigned To bugmaster => kgv
2021-01-30 16:54 bugmaster Status tested => assigned
2021-01-30 20:21 git Note Added: 0098558
2021-01-30 20:22 kgv Assigned To kgv => bugmaster
2021-01-30 20:22 kgv Status assigned => resolved
2021-01-30 20:22 kgv Status resolved => reviewed
2021-02-06 14:17 bugmaster Note Added: 0098723
2021-02-06 14:17 bugmaster Status reviewed => tested
2021-02-06 14:24 kgv Changeset attached => occt master 82b856b8
2021-02-06 14:24 kgv Assigned To bugmaster => kgv
2021-02-06 14:24 kgv Status tested => verified
2021-02-06 14:24 kgv Resolution open => fixed
2021-02-06 14:29 git Note Added: 0098737
2021-12-17 18:41 bugmaster Changeset attached => occt-products master a6c73dd4
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.